
<!--- This file is automatically generated by make gen-cli-docs; changes should be made in the go CLI command code (under cmd/kops) -->

## kops get all

Display all resources for a cluster.

### Synopsis

Display all resources for a cluster.

```
kops get all [CLUSTER] [flags]
```

### Examples

```
  # Get a cluster, its instance groups, and its addons
  kops get all k8s-cluster.example.com
  
  # Get a cluster, its instance groups, and its addons in YAML format
  kops get all k8s-cluster.example.com -o yaml
```

### Options

```
  -h, --help   help for all
```

### Options inherited from parent commands

```
      --config string   yaml config file (default is $HOME/.kops.yaml)
      --name string     Name of cluster. Overrides KOPS_CLUSTER_NAME environment variable
  -o, --output string   output format. One of: table, yaml, json (default "table")
      --state string    Location of state storage (kops 'config' file). Overrides KOPS_STATE_STORE environment variable
  -v, --v Level         number for the log level verbosity
```

### SEE ALSO

* [kops get](kops_get.md)	 - Get one or many resources.

